$:.push File.expand_path("../lib", __FILE__)

require "match-mate/version"

Gem::Specification.new do |s|
  s.name        = "match-mate"
  s.version     = MatchMate::VERSION
  s.authors	    = ['Combinaut Team']
  s.summary     = "A Ruby gem for matching demographics"
  s.description = "A Ruby gem for matching demographics"
  s.homepage    = "https://github.com/combinaut/match-mate"
  s.license     = "MIT"

  s.files         = `git ls-files -z`.split("\x0")
  s.executables   = s.files.grep(%r{^bin/}) { |f| File.basename(f) }
  s.test_files    = s.files.grep(%r{^(test|spec|features)/})
  s.require_paths = ['lib']
  s.required_ruby_version = '>= 2.0.0'

  s.add_dependency('activesupport', '~> 5.0')
  s.add_dependency('pycall', '~> 1.2.1')
  s.add_dependency('ruby_postal', '~> 1.0.0')

  s.add_development_dependency 'bundler', '>= 1.5', '< 3.0'
end
