def with_config(options = {})
  old_options = {}

  options.each do |key, value|
    old_options[key] = MatchMate.config.send(key)
    MatchMate.config.send("#{key}=", value)
  end

  yield
ensure
  old_options.each do |key, value|
    MatchMate.config.send("#{key}=", value)
  end
end
